Package io.dapr.v1

# Class DaprGrpc.DaprBlockingStub

java.lang.Object
io.grpc.stub.AbstractStub<DaprGrpc.DaprBlockingStub>
io.dapr.v1.DaprGrpc.DaprBlockingStub

Enclosing class:
  DaprGrpc

    public static final class DaprGrpc.DaprBlockingStub
    extends io.grpc.stub.AbstractStub<DaprGrpc.DaprBlockingStub>

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected DaprGrpc.DaprBlockingStub` | `build​(io.grpc.Channel channel, io.grpc.CallOptions callOptions)` |
  `com.google.protobuf.Empty` | `deleteState​(DaprProtos.DeleteStateRequest request)` | Deletes the state for a specific key.
  `com.google.protobuf.Empty` | `executeStateTransaction​(DaprProtos.ExecuteStateTransactionRequest request)` | Executes transactions for a specified store
  `DaprProtos.GetBulkStateResponse` | `getBulkState​(DaprProtos.GetBulkStateRequest request)` | Gets a bulk of state items for a list of keys
  `DaprProtos.GetSecretResponse` | `getSecret​(DaprProtos.GetSecretRequest request)` | Gets secrets from secret stores.
  `DaprProtos.GetStateResponse` | `getState​(DaprProtos.GetStateRequest request)` | Gets the state for a specific key.
  `DaprProtos.InvokeBindingResponse` | `invokeBinding​(DaprProtos.InvokeBindingRequest request)` | Invokes binding data to specific output bindings
  `CommonProtos.InvokeResponse` | `invokeService​(DaprProtos.InvokeServiceRequest request)` | Invokes a method on a remote Dapr app.
  `com.google.protobuf.Empty` | `publishEvent​(DaprProtos.PublishEventRequest request)` | Publishes events to the specific topic.
  `com.google.protobuf.Empty` | `saveState​(DaprProtos.SaveStateRequest request)` | Saves the state for a specific key.

  ### Methods inherited from class io.grpc.stub.AbstractStub

  `getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### build

    protected DaprGrpc.DaprBlockingStub build​(io.grpc.Channel channel, io.grpc.CallOptions callOptions)
    Specified by:
      `build` in class `io.grpc.stub.AbstractStub<DaprGrpc.DaprBlockingStub>`

  - ### invokeService

    public CommonProtos.InvokeResponse invokeService​(DaprProtos.InvokeServiceRequest request)

         Invokes a method on a remote Dapr app.

  - ### getState

    public DaprProtos.GetStateResponse getState​(DaprProtos.GetStateRequest request)

         Gets the state for a specific key.

  - ### getBulkState

    public DaprProtos.GetBulkStateResponse getBulkState​(DaprProtos.GetBulkStateRequest request)

         Gets a bulk of state items for a list of keys

  - ### saveState

    public com.google.protobuf.Empty saveState​(DaprProtos.SaveStateRequest request)

         Saves the state for a specific key.

  - ### deleteState

    public com.google.protobuf.Empty deleteState​(DaprProtos.DeleteStateRequest request)

         Deletes the state for a specific key.

  - ### executeStateTransaction

    public com.google.protobuf.Empty executeStateTransaction​(DaprProtos.ExecuteStateTransactionRequest request)

         Executes transactions for a specified store

  - ### publishEvent

    public com.google.protobuf.Empty publishEvent​(DaprProtos.PublishEventRequest request)

         Publishes events to the specific topic.

  - ### invokeBinding

    public DaprProtos.InvokeBindingResponse invokeBinding​(DaprProtos.InvokeBindingRequest request)

         Invokes binding data to specific output bindings

  - ### getSecret

    public DaprProtos.GetSecretResponse getSecret​(DaprProtos.GetSecretRequest request)

         Gets secrets from secret stores.